Main Page Class Hierarchy Compound List File List Compound Members

# Line_Parser Class Reference

used to parse command strings comming from files More...

`#include <linepars.h>`

Inheritance diagram for Line_Parser:

List of all members.

## Public Methods
| Line_Parser (AliasList *aliaslist, char *the_file)
| constructor
| ~Line_Parser ()
| destructor
bool | ReadItem (char *type)
| read a command, if not the required one, it is stored
int | GetLineNumber ()
| current line number
const wxString * | GetValue (int i)
| get the n'th argument
char * | GetFileName ()
| get opened file
void | Reset ()
| start from beginning of the file
bool | GetNextCommand ()
| get the next command
## Protected Methods
void | IncC ()
| reading characters from the file
char | PeekNextC ()
| peek at next character
## Protected Attributes
int | _linenumber
| current line number
char * | _line_file
| holds the filename from the layer file
const wxString * | _keyword
| last read command
bool | _back
| is the last command stored

## Detailed Description

used to parse command strings comming from files

See also:
  Evalstring , CommandParser

The documentation for this class was generated from the following file:

- linepars.h

Line_Parser class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page